Class | Chef::Cookbook::SyntaxCheck
In: | lib/chef/cookbook/syntax_check.rb
Parent: | Object

## Chef::Cookbook::SyntaxCheck

Encapsulates the process of validating the ruby syntax of files in Chef cookbooks.

### Methods

cache cache_key for_cookbook new ruby_files template_files untested_ruby_files untested_template_files validate_ruby_file validate_ruby_files validate_template validate_templates validated validated?

### Included Modules

Chef::Mixin::ShellOut

### Attributes

cookbook_path | [R] |

### Public Class methods

for_cookbook(cookbook_name, cookbook_path=nil)

Creates a new SyntaxCheck given the `cookbook_name` and a `cookbook_path`. If no `cookbook_path` is given, +Chef::Config.cookbook_path+ is used.

new(cookbook_path)

Create a new SyntaxCheck object

### Arguments

cookbook_path:: | the (on disk) path to the cookbook

### Public Instance methods

cache()
cache_key(file)
ruby_files()
template_files()
untested_ruby_files()
untested_template_files()
validate_ruby_file(ruby_file)
validate_ruby_files()
validate_template(erb_file)
validate_templates()
validated(file)
validated?(file)

[Validate]